View Issue Details

IDProjectCategoryView StatusLast Update
0029157LazarusIDEpublic2016-01-24 13:22
ReporterAlexander Koblov Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
OSWindows 
Summary0029157: Lazarus can't save configuration if default primary config path contains non ASCII characters
DescriptionMy Windows user name is cyrillic, so Lazarus default primary config path looks like:
C:\Users\Пользователь\AppData\Local\lazarus
Lazarus can't save configuration in this case and suggest to setup configuration on each restart.

Lazarus 1.6RC1 Free Pascal 3.0
TagsNo tags attached.
Fixed in Revision50719
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0029494 resolvedBart Broersma Lazarus can't start if settings folder contains cyrillic symbols 

Activities

Mattias Gaertner

2015-12-09 14:37

manager   ~0087856

Using the IDE with --pcp=C:\test\Пользователь works on Windows, even on non Cyrillic system.
Maybe retrieving the User directory itself does not work.

Mattias Gaertner

2015-12-09 17:37

manager   ~0087864

Building IDE now works, if path only contains characters in Console and System codepage. The limit is make.exe and fpc.exe.

Issue History

Date Modified Username Field Change
2015-12-09 05:39 Alexander Koblov New Issue
2015-12-09 10:54 Mattias Gaertner Assigned To => Mattias Gaertner
2015-12-09 10:54 Mattias Gaertner Status new => assigned
2015-12-09 14:37 Mattias Gaertner Note Added: 0087856
2015-12-09 17:37 Mattias Gaertner Fixed in Revision => 50719
2015-12-09 17:37 Mattias Gaertner LazTarget => -
2015-12-09 17:37 Mattias Gaertner Note Added: 0087864
2015-12-09 17:37 Mattias Gaertner Status assigned => resolved
2015-12-09 17:37 Mattias Gaertner Resolution open => fixed
2015-12-13 17:55 Alexander Koblov Status resolved => closed
2016-01-24 09:22 Ondrej Pokorny Relationship added has duplicate 0029494
2016-01-24 13:22 Ondrej Pokorny Relationship replaced related to 0029494